astro py:docs

- Index
- Modules

### Navigation

- next »
- « previous |
- Astropy v1.1.1 »
- Time and Dates (`astropy.time`) »
- TimeYearDayTime

# TimeYearDayTime

class `astropy.time.``TimeYearDayTime`(val1, val2, scale, precision, in_subfmt, out_subfmt, from_jd=False)

  Bases: `astropy.time.TimeISO`

  Year, day-of-year and time as “YYYY:DOY:HH:MM:SS.sss...”. The day-of-year (DOY) goes from 001 to 365 (366 in leap years). For example, 2000:001:00:00:00.000 is midnight on January 1, 2000.

  The allowed subformats are:

  - ‘date_hms’: date + hours, mins, secs (and optional fractional secs)
  - ‘date_hm’: date + hours, mins
  - ‘date’: date

  Attributes Summary

  `name` |
  `subfmts` |

  Attributes Documentation

  `name` = u'yday'
  `subfmts` = ((u'date_hms', u'%Y:%j:%H:%M:%S', u'{year:d}:{yday:03d}:{hour:02d}:{min:02d}:{sec:02d}'), (u'date_hm', u'%Y:%j:%H:%M', u'{year:d}:{yday:03d}:{hour:02d}:{min:02d}'), (u'date', u'%Y:%j', u'{year:d}:{yday:03d}'))